################################################################################
                            NANOCOM-APL
################################################################################
Microcode:
        M03506C9_0000003C.PDB
        M03506CA_00000016.PDB
--------------------------------------------------------------------------------
Note:


################################################################################
================================================================================
BIOS Name:      NAPLAM40                (Based on : NAPLAM35)
Build Date:     07/09/2026
Checksum:       5D22h
Matched EC:     CAPLAE14
STS:            40669
Sign-on Message:
        NANOCOM-APL R4.0 (NAPLAM40)(07/09/2026)
Changes:
        1. Support new eMMC (1469X00050) by adding eMMC BID (GPIO_5) detection 
           and updating the corresponding eMMC tuning values.

================================================================================
BIOS Name:      NAPLAM35                (Based on : NAPLAM34)
Build Date:     06/09/2026
Checksum:       9C6Dh
Matched EC:     CAPLAE14
STS:            24739  
Sign-on Message:
        NANOCOM-APL R3.5 (NAPLAM35)(06/09/2026)
Changes:
        1. Fixed an issue where the system may hang when PCIe Port is 
        connected to a specific PCIe device."
        2. Update AAEON logo.
================================================================================
BIOS Name:      NAPLAM34                (Based on : NAPLAM33)
Build Date:     11/13/2023
Checksum:       32FCh
STS:            24739
Matched EC:     CAPLAE14
Sign-on Message:
        NANOCOM-APL R3.4 (NAPLAM34)(11/13/2023)
Changes:
        1. Fix 'GPO3 abnormal when entering Windows OS'.
        2. Fix 'Boot Option will not load default after flash BIOS'.
Note:
The above "Fixed boot order" issue needs to be resolved after updating the BIOS NAPLAM34 first.

================================================================================
BIOS Name:      NAPLAM33                (Based on : NAPLAM32)
Build Date:     07/17/2023
Checksum:       E12Ch
STS:            23700
Sign-on Message:
        NANOCOM-APL R3.3 (NAPLAM33)(07/17/2023)
Changes:
        1. Fixed discrete TPM default works fail issue.

================================================================================
BIOS Name:      NAPLAM32                (Based on : NAPLAM31)
Build Date:     07/14/2023
Checksum:       E1FBh
STS:            23569
Sign-on Message:
        NANOCOM-APL R3.2 (NAPLAM32)(07/14/2023)
Changes:
1. Memory support Nanya sku.

================================================================================
BIOS Name:      NAPLAM31                (Based on : NAPLAM30)
Build Date:     08/04/2022
Checksum:       14E8h
STS:            18031
Sign-on Message:
        NANOCOM-APL R3.1 (NAPLAM31)(08/04/2022)
Changes:
1. Empty password can't enter BIOS setup if administrator password be set.
2. Fix USB can't show removable icon.
3. Support I226 PXE.
4. Support AAEON Robot feature.
================================================================================
################################################################################
                            NANOCOM-APL
################################################################################
Microcode:
        M03506C9_0000003C.PDB
        M03506CA_00000016.PDB
--------------------------------------------------------------------------------
Note:

################################################################################
================================================================================
BIOS Name:      NAPLAM30                (Based on : NAPLAM29)
Build Date:     07/11/2022
Checksum:       88DAh
Sign-on Message:
        NANOCOM-APL R3.0 (NAPLAM30)(07/11/2022)
Changes:
        1. Support I225 PXE.
                2. Support PCH DIO
================================================================================   
BIOS Name:          NAPLAM29            (based on NAPLAM28)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: 0D7Bh
STS No:         15314
Sign-on Message:
    NANOCOM-APL R2.9 (NAPLAM29)(10/01/2021)
Changes:
1. Fix Hi-Safe show clock speed and manufacturer abnormal
===========================================================================     
BIOS Name:          NAPLAM28            (based on NAPLAM27)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: F407h
STS No:         15254
Sign-on Message:
    NANOCOM-APL R2.8 (NAPLAM28)(09/24/2021)
Changes:
1. Fix memory chip compatibility issue
===========================================================================     
BIOS Name:          NAPLAM27            (based on NAPLAM26)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: 8CA1h
STS No:         15185
Sign-on Message:
    NANOCOM-APL R2.7 (NAPLAM27)(09/16/2021)
Changes:
1. Change SMBIOS Type 17 memory Type
2. Add Board Id to support multiple sku
===========================================================================     
BIOS Name:          NAPLAM26            (based on NAPLAM25)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: 5B5Bh
STS No:         15178
Sign-on Message:
    NANOCOM-APL R2.6 (NAPLAM26)(09/10/2021)
Changes:
1. Change DRAM configuration Profile setting
===========================================================================     
BIOS Name:          NAPLAM25            (based on NAPLAM24)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: 3A9Ch
STS No:         
Sign-on Message:
    NANOCOM-APL R2.5 (NAPLAM25)(06/22/2021)
Changes:
1. Support TCG & PTT feature.
2. PTT default disable.
===========================================================================     
BIOS Name:          NAPLAM24            (based on NAPLAM23)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: 695Dh
STS No:         
Sign-on Message:
    NANOCOM-APL R2.4 (NAPLAM24)(06/23/2020)
Changes:
1. Support SATA Turning option.
2. Support SATA Speed Limit options
===========================================================================     
BIOS Name:          NAPLAM23            (based on NAPLAM22)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: CD6Dh
STS No:         8255
Sign-on Message:
                NANOCOM-APL R2.3 (NAPLAM23)(01/03/2020)
Changes:
1. Update SATA PHYTUNE value for SI.
2. Default modification. 'Console Redirection' from 'Enabled' to 'Disabled' of 'COM1'
===========================================================================     
BIOS Name:          NAPLAM22            (based on NAPLAM21)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: 6E91h 
Sign-on Message:
                NANOCOM-APL R2.2 (NAPLAM22)(12/13/2019)
Changes:
1. Support 'Console Redirection' feature.
===========================================================================     
BIOS Name:          NAPLAM21            (based on NAPLAM20)
Matched EC:     CAPLAE13 or later.
Checksum:               16 MB: CB88h 
Sign-on Message:
                NANOCOM-APL R2.1 (NAPLAM21)(11/08/2019)
Changes:
1.Update Microcode 506C9_3C/506CA_1A
2.Fine tune PMIC.
===========================================================================     
BIOS Name:          NAPLAM20            (based on NAPLAM19)
Matched EC:     CAPLAE13 or later.
Checksum:               626Bh 
Sign-on Message:
                        NANOCOM-APL R2.0 (NAPLAM20)(10/08/2019)
Changes:
1. Fix UEFI boot option be disabled issue.
2. Tuning Tx signal of SATA port 0 for SI test report.
===========================================================================     
BIOS Name:          NAPLAM19            (based on NAPLAM18)
Matched EC:     CAPLAE13 or later.
Checksum:               A21Bh 
Sign-on Message:
                            NANOCOM-APL R1.9 (NAPLAM19)(09/27/2019)
Changes:
1. Remove 'Camera Configuration' option.
2. Modify to SATA compatibility issue.
Tested carrier board: 
PER-CRB-W2 Rev.A1.1_0_0 with PER-T253 Rev:A0.2_0_0
===========================================================================     
BIOS Name:          NAPLAM18            (based on NAPLAM17)
Matched EC:     CAPLAE13 or later.
Checksum:               7D8Ah 
Sign-on Message:
                            NANOCOM-APL R1.8 (NAPLAM18)(08/05/2019)
Changes:
1. Support intel i210 with gigbit fiber disabled function.
===========================================================================     
BIOS Name:          NAPLAM17            (based on NAPLAM16)
Matched EC:     CAPLAE13 or later.
Checksum:               F165h 
Sign-on Message:
                            NANOCOM-APL R1.7 (NAPLAM17)(07/30/2019)
Changes:
1. Support F1 Stepping SoC
===========================================================================     
BIOS Name:          NAPLAM16            (based on NAPLAM15)
Matched EC:     CAPLAE13 or later.
Checksum:               7E2Fh 
Sign-on Message:
                        NANOCOM-APL R1.6 (NAPLAM16)(06/21/2019)
Changes:
1. Support EC-SMB-HC feature.
===========================================================================     
BIOS Name:      NAPLAM15bin             (based on NAPLAM14)
Matched EC:     CAPLAE10 or later.
Checksum:       39AAh 
Sign-on Message:
                    NANOCOM-APL R1.5 (NAPLAM15)(05/20/2019)
Changes:
1.  Support 'eDP/LVDS Active' option
===========================================================================     
BIOS Name:      NAPLAM14.bin            (based on NAPLAM13)
Matched EC:     CAPLAE10 or later.
Checksum:       16 MB: F35Dh 
Sign-on Message:
                NANOCOM-APL R1.4 (NAPLAM14)(04/01/2019)
Changes:
1.  Support PCIe Selection function
===========================================================================
BIOS Name:      NAPLAM13                (based on NAPLAM12)
Matched EC:     CAPLAE10 or later.
Checksum:       D6EAh   
Sign-on Message:
                NANOCOM-APL R1.3 (NAPLAM13)(01/04/2019)

Changes:
        1. Support Fixed boot order function.
        2. Microcode update for intel security issue.
===========================================================================
BIOS Name:      NAPLAM12                (based on NAPLAM11)
Matched EC:     CAPLAE10 or later.
Checksum:       87A2h   
Sign-on Message:
                NANOCOM-APL R1.2 (NAPLAM12)(12/21/2018)

Changes:
        1. Update PMC firmware for intel sighting report.
        2. Support SMBIOS preserve function.
        3. Show PMC FW version in BIOS setup menu
         . Setup menu : Main -> PMC FW.
        4. Support AAEON BioX feature.
        5. Support Secure boot function.
        6. Fix system will hang on display when press "Pause" key.
===========================================================================
BIOS Name:      NAPLAM11               (based on NAPLAM10)
Checksum:       5F58h
Sign-on Message: NANOCOM-APL R1.0(NAPLAM10) (01/02/2018)
Changes:
First Release.
1. Fix part of USB connection no show remove able icon issue.
===========================================================================
BIOS Name:      NAPLAM10               (based on NAPLAT0F)
Checksum:       B746h
Matched EC:     CAPLAE10 after.
Sign-on Message: 
                NANOCOM-APL R1.0(NAPLAM10) (01/02/2018)
Changes:
First Release.
---------------------------------------------------------------------------
1. Arrange setup menuy for MIPIx2 CSI support.
2. Support 'Interruptible DIO' function.
3. Fix part of USB connection no show remove able icon issue.
4. Modify as 'Legacy Free' BIOS.
5. Update SMBIOS information.
===========================================================================
BIOS Name:      NAPLAM0F               (based on NAPLAT0E)
Checksum:       8MB: DA1Eh
Sign-on Message: NANOCOM-APLC R0.F(NAPLAM0F) (11/13/2017)
_HiSafe_       : __NAPLA__
===========================================================================
1. Support AAEON EC APL module.
2. Add logo with AAEON_2017_800x600.jpg.
3. Fixed EMMC HS400 function work fail issue.
4. Modify for LPDDR4 memory down 2GB sku which hangs up on POST 0x69 issue.
5. Support MIPI x2 function
Note:
H/W needs to remove 'Q74A' , 'Q74B' and connect 'EC_SCI#' to 'GPIO_SCI#', pull up 1.8V
===========================================================================
BIOS Name:      NAPLAT0E               (based on NAPLAT0D)
Checksum:       8MB: 094Fh
Sign-on Message:
_HiSafe_       : 
                NANOCOM-APLC R0.E(NAPLAM0E) (10/11/2017)
Changes:
1. Update code base and CPU microcode for E3950/N4200.
===========================================================================
BIOS Name:      NAPLAT0D               (based on NAPLAT0C)
Checksum:       8MB: CD60h
Sign-on Message:
_HiSafe_       : 
                NANOCOM-APLC R0.D(NAPLAM0D) (05/11/2017)
Changes:
1.Support AC Power Loss function by EC.
2.Modify CRB code hard coding.
3.Modify for ADC "GT_SEN" impedance matching.
4.Update Code Base to AAEON CRB AQTJS031_M0J.
5.Hidden LVDS disable option.
6.Support 'UEFI PXE' function
7.Support DIO function.
===========================================================================
BIOS Name:      NAPLAT0C                (based on NAPLAT0B)
Checksum:       8MB: CA44h
Sign-on Message:
_HiSafe_       : 
                NANOCOM-APLC R0.C(NAPLAT0C) (03/20/2017)
Changes:
1.Modify SATA 'port 0' TX DWORD4 setting for SI measuring.
===========================================================================
BIOS Name:      NAPLAT0B                (based on NAPLAT0A)
Checksum:       8MB: A357h
Sign-on Message:
_HiSafe_       : 
                NANOCOM-APLC R0.B(NAPLAT0B) (03/15/2017)
Changes:
1.Modify BIOS setup default.
'Aggressive LPM Support' from 'Enabled' to 'Disabled'
'SCC SD Card Support(D27:F0)' from 'Enabled' to 'Disabled'
'SCC eMMC Support(D28:F0)' from 'Disabled' to 'Enabled'
Hidden 'Max TOLUD' option.

2. Modify 'Total Memory' string form 'LPDDR3' to 'LPDDR4'
===========================================================================
BIOS Name:      NAPLAT0A                (based on NAPLAT09)
Checksum:       8MB: 005Eh
Sign-on Message:
_HiSafe_       : 
                NANOCOM-APLC R0.A(NAPLAT0A) (02/16/2017)
Changes:
1. Support BID feature.
Realson:    Standard.
===========================================================================
BIOS Name:      NAPLAT09                (based on NAPLAT08)
Checksum:       8MB: 5B34h
Sign-on Message:
                NANOCOM-APLC R0.9(NAPLAT09) (02/14/2017)
Changes:
1.Enable EC_AfterG3 , EC_DIO , LAN Driver and disable RI wake. (Not test yet)
2.Disable and Hidden RI_WAKE.
3.Disable USB wake.
4.Enable eMMC as default.
5.Modify HSIO PCIE routing for project.
6.Modify On-Module UART1/2 IRQ and IO resource to COM1,COM2
7.Arrange BIOS setup menu.
8.Support ALC892 verb table.
===========================================================================
BIOS Name:      NAPLAT08                (based on NAPLAT07)
Checksum:       8MB: 0776h
Sign-on Message:
                NANOCOM-APLC R0.8(NAPLAT08) (01/23/2016)
                
Chagnes:        
1. Support PCIe RP3 (0 Base) and default is disabled by BIOS.
Reason:     Modify for COM-Express definition test.
===========================================================================
BIOS Name:      NAPLAT07                (based on NAPLAT04)
Checksum:       8MB: 3335h
Sign-on Message:
                NANOCOM-APLC R0.7(NAPLAT07) (01/21/2016)
Chagnes:        
1. Release for DS test.
===========================================================================
